#ifndef AVRECEIVERDATA_H
#define AVRECEIVERDATA_H
#include <QString>
#include "GlobalDefine.h"

enum eAVReceiverZones
{
    AV_RECEIVER_MAIN_ZONE = 1,
    AV_RECEIVER_ZONE_2,

    AV_RECEIVER_MAX_ZONE
};

class CAvReceiverMainStatus
{
public:

    QByteArray ToByteArray();
    QByteArray ToConsoleStatusByteArray();
    int FromByteArray(QByteArray Data);
    int FromConsoleStatusByteArray(QByteArray Data);

    CAvReceiverMainStatus();

    bool mMainPwrStatus;
    bool mMainSleepStatus;
    float mMainVolume;
    bool mIsMute;
    QString mInput;
    QString mProgram;
    bool mSyncZonesVolumes;

    bool mDataValid;
    bool mReceiverOnline;
};

QDataStream &operator<<(QDataStream &out, const CAvReceiverMainStatus &source);
QDataStream &operator>>(QDataStream &in, CAvReceiverMainStatus &dest);

#endif // AVRECEIVERDATA_H
